> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/cache/cachefilter.md).

# CacheFilter

This method creates a cache filter that can be used to operate on a cache instance and its keys.

The filter can be used to clear, get, or remove keys from the cache.

All filters must be adhere to the {@link ICacheKeyFilter} interface.

Example:

```
 cache().clear( cacheFilter( "foo*" ) );
 cache().clear( cacheFilter( ".*foo.*", true ) );

 You can also create your own custom cache filter by using a closure/lambda that
 accepts a {@code
 Key
 } and returns a boolean.

 Example:

  cache().clear( key -> key.getName().startsWith( "foo" ) ); cache().clear( key -> key.getName().matches( ".*foo.*" ) ); 
Method Signature
CacheFilter(filter=[string], useRegex=[boolean])
Arguments



























Examples
Filter cache entries by criteria
cachePut( "key1", "value1", 60 );cachePut( "key2", "value2", 60 );filtered = cacheFilter( ( key, entry ) => key == "key1" );writeOutput( filtered.len() );
Result: 1
Related





```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/cache/cachefilter.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
